Skip to main content
GET
/
v1
/
wallet
/
deposits
/
{depositID}
Get Deposit by ID
curl --request GET \
  --url https://api.ondoperps.xyz/v1/wallet/deposits/{depositID} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "result": {
    "coin": "USDC",
    "size": "1000.00",
    "status": "confirmed",
    "txid": "0xabc123...",
    "fromAddress": "0x054A94b753CBf65D1Bc484F6D41897b48251fbfF",
    "time": "2025-01-15T10:30:00Z",
    "currentConfirmations": 64,
    "requiredConfirmations": 64,
    "chainId": "1",
    "usdValue": "1000.00"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

depositID
string
required

Response

Deposit

success
boolean
required

Whether the request was successful

Example:

true

error
string

Error message, present only on failure

Example:

""

error_code
string

Semantic error code. See each endpoint's error responses for the specific codes it can return.

deprecated
string

Deprecation notice, if applicable

Example:

""

result
object